> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../single-custom-bet-on-soccer-with-three-selections.md).

# Single Custom Bet on Soccer with Three Selections

This single ticket was placed from a web browser, the IP address of the device was 212.9.11.2 and the user interface language was English. The selection in the bet is of "type": "uf-custom-bet" and has three nested selections of "type": "uf". These three selections constitute a [custom bet](/mts/features/custom-bet.md) and would be rejected if sent as a usual treble since they are not independent. The uf-custom-bet selection contains the consolidated odds for all three selections (as previously fetched from UOF). \
The ticket contains only one bet (the Bets array length = 1).

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_545774",
    "bets": [
      {
        "selections": [
          {
            "type": "uf-custom-bet",
            "selections": [
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "65",
                "outcomeId": "1711",
                "specifiers": "hcp=0:2",
                "odds": {
                  "type": "decimal",
                  "value": "1.50"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "18",
                "outcomeId": "12",
                "specifiers": "total=1.5",
                "odds": {
                  "type": "decimal",
                  "value": "2.14"
                }
              },
              {
                "type": "uf",
                "productId": "3",
                "eventId": "sr:match:61301009",
                "marketId": "1",
                "outcomeId": "3",
                "odds": {
                  "type": "decimal",
                  "value": "1.14"
                }
              }
            ],
            "odds": {
              "type": "decimal",
              "value": "2.40"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "10"
          }
        ],
        "context": {
          "oddsChange": "any"
        }
      }
    ],
    "context": {
      "channel": {
        "type": "internet",
        "ip": "212.9.11.2",
        "lang": "EN"
      },
      "endCustomer": {
        "id": "endCustomer_384d54"
      },
      "limitId": 1409
    }
  },
  "correlationId": "Ckwq729Vbj33",
  "timestampUtc": 1770269157674,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "message": "Transaction processed",
    "code": 0,
    "signature": "ot7qLY9c4E34WnQhVtd7xEidaeSNVruXyHpOFHNvo/dkm5XxYBLuwGZK9gpUGMW1auLtuqf1o+8+Ii4D",
    "ticketId": "Ticket_545774",
    "status": "accepted",
    "betDetails": [
      {
        "code": 0,
        "message": "Transaction processed",
        "betId": "",
        "selectionDetails": [
          {
            "code": 0,
            "message": "Transaction processed",
            "selection": {
              "type": "uf-custom-bet",
              "selections": [
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "65",
                  "outcomeId": "1711",
                  "specifiers": "hcp=0:2",
                  "odds": {
                    "type": "decimal",
                    "value": "1.50"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "18",
                  "outcomeId": "12",
                  "specifiers": "total=1.5",
                  "odds": {
                    "type": "decimal",
                    "value": "2.14"
                  }
                },
                {
                  "type": "uf",
                  "productId": "3",
                  "eventId": "sr:match:61301009",
                  "marketId": "1",
                  "outcomeId": "3",
                  "specifiers": "",
                  "odds": {
                    "type": "decimal",
                    "value": "1.14"
                  }
                }
              ],
              "odds": {
                "type": "decimal",
                "value": "2.40"
              },
              "useHarmOdds": false,
              "harmOddsApplied": false
            }
          }
        ]
      }
    ],
    "exchangeRate": [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000000"
      }
    ]
  },
  "correlationId": "Ckwq729Vbj33",
  "timestampUtc": 1770269158693,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/bet-types-examples-singles-accumulators-custom-bets.../single-custom-bet-on-soccer-with-three-selections.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
